List call logs
curl --request GET \
--url https://api.omnia-voice.com/api/v1/calls \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/calls"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"durationMs": 123,
"durationSeconds": 123,
"status": "<string>",
"summary": "<string>",
"shortSummary": "<string>",
"transcript": "<string>",
"billing": {
"durationMinutes": 123,
"costCents": 123,
"costDollars": 123,
"pricePerMinuteCents": 123,
"currency": "<string>",
"billedAt": "2023-11-07T05:31:56Z",
"note": "<string>"
}
}
],
"pagination": {
"pageSize": 123,
"total": 123,
"next": "<string>",
"previous": "<string>"
}
}Call Logs
List call logs
Retrieve call logs for the authenticated user.
This endpoint uses cursor-based pagination for efficient traversal of large datasets.
Use the cursor value from the response to fetch the next page.
GET
/
calls
List call logs
curl --request GET \
--url https://api.omnia-voice.com/api/v1/calls \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.omnia-voice.com/api/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.omnia-voice.com/api/v1/calls"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"duration": 123,
"durationMs": 123,
"durationSeconds": 123,
"status": "<string>",
"summary": "<string>",
"shortSummary": "<string>",
"transcript": "<string>",
"billing": {
"durationMinutes": 123,
"costCents": 123,
"costDollars": 123,
"pricePerMinuteCents": 123,
"currency": "<string>",
"billedAt": "2023-11-07T05:31:56Z",
"note": "<string>"
}
}
],
"pagination": {
"pageSize": 123,
"total": 123,
"next": "<string>",
"previous": "<string>"
}
}Authorizations
API key for authentication
Query Parameters
Number of results per page (1-100)
Required range:
1 <= x <= 100Pagination cursor from previous response (use value from pagination.next or pagination.previous)
Filter by call status (e.g., "ended", "agent_hangup")
Filter calls from this date (ISO 8601 format)
Filter calls until this date (ISO 8601 format)